Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Reverse_FlowSpec_Entry Class Reference

@brief. More...

`#include <FlowSpec_Entry.h>`

Inheritance diagram for TAO_Reverse_FlowSpec_Entry:

[legend]
Collaboration diagram for TAO_Reverse_FlowSpec_Entry:

[legend]
List of all members.

## Public Types
enum | Position { TAO_AV_FLOWNAME = 0, TAO_AV_ADDRESS = 1, TAO_AV_FLOW_PROTOCOL = 2, TAO_AV_DIRECTION = 3, TAO_AV_FORMAT = 4 }
## Public Methods
| TAO_Reverse_FlowSpec_Entry (void)
| TAO_Reverse_FlowSpec_Entry (const char *flowname, const char *direction, const char *format_name, const char *flow_protocol, const char *carrier_protocol, ACE_Addr *address, ACE_Addr *control_address=0)
| TAO_Reverse_FlowSpec_Entry (const char *flowname, const char *direction, const char *format_name, const char *flow_protocol, const char *address)
virtual | ~TAO_Reverse_FlowSpec_Entry (void)
virtual const char * | entry_to_string (void)
| converts the entry to a string. More...
virtual Role | role (void)
virtual int | parse (const char *flowSpec_entry)
| construct the entry from a string specified by the flowSpec grammar. More...

## Detailed Description

@brief.

## Member Enumeration Documentation

enum TAO_Reverse_FlowSpec_Entry::Position

  | Enumeration values:
  TAO_AV_FLOWNAME |
  TAO_AV_ADDRESS |
  TAO_AV_FLOW_PROTOCOL |
  TAO_AV_DIRECTION |
  TAO_AV_FORMAT |

## Constructor & Destructor Documentation

TAO_Reverse_FlowSpec_Entry::TAO_Reverse_FlowSpec_Entry | ( | void |  | ) |

TAO_Reverse_FlowSpec_Entry::TAO_Reverse_FlowSpec_Entry | ( | const char * | flowname,
|  | const char * | direction,
|  | const char * | format_name,
|  | const char * | flow_protocol,
|  | const char * | carrier_protocol,
|  | ACE_Addr * | address,
|  | ACE_Addr * | control_address = 0
| ) |

TAO_Reverse_FlowSpec_Entry::TAO_Reverse_FlowSpec_Entry | ( | const char * | flowname,
|  | const char * | direction,
|  | const char * | format_name,
|  | const char * | flow_protocol,
|  | const char * | address
| ) |

TAO_Reverse_FlowSpec_Entry::~TAO_Reverse_FlowSpec_Entry | ( | void |  | ) | `[virtual]`

## Member Function Documentation

const char * TAO_Reverse_FlowSpec_Entry::entry_to_string | ( | void |  | ) | `[virtual]`

| converts the entry to a string. Reimplemented from TAO_FlowSpec_Entry.

int TAO_Reverse_FlowSpec_Entry::parse | ( | const char * | flowSpec_entry | ) | `[virtual]`

| construct the entry from a string specified by the flowSpec grammar. Reimplemented from TAO_FlowSpec_Entry.

TAO_FlowSpec_Entry::Role TAO_Reverse_FlowSpec_Entry::role | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_FlowSpec_Entry.

The documentation for this class was generated from the following files:

- FlowSpec_Entry.h
- FlowSpec_Entry.cpp